package cn.iocoder.yudao.module.wealth.controller.admin.config;

import cn.iocoder.yudao.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.spring.web.plugins.Docket;

import javax.annotation.Resource;

/**
 * Swagger2 自动配置类
 * @author 捷道源码
 */
@Configuration
public class SwaggerAdminWealthConfiguration {
    @Bean
    public Docket createAdminWealthApi() {
        String title = "管理端-财务接口";
        String author = "管理端-财务接口";
        String basePackage = "cn.iocoder.yudao.module.wealth.controller.admin";
        // 创建 Docket 对象
        return autoConfiguration.docket(title, author, basePackage);
    }

    @Resource
    private YudaoSwaggerAutoConfiguration autoConfiguration;
}
